Development of Manasource and anything else related to the Mana Project.
#139234 by vatarus
Wed Nov 13, 2013 7:39 am
Hi!

Today compiled the server (on Ubuntu) and the client (on Windows) from git source.
Run the server.
Run the client. But when trying to log onto a server get the error: "client version is too old."

What is the cause of the problem? Who knows?
Attachments
Client_Error.png
Client_Error.png (19.25 KiB) Viewed 2907 times
#139237 by Freeyorp101
Wed Nov 13, 2013 11:17 am
Which git repository are you using? The gitorious repository is quite out of date. If you want to use the manasource client, its current home can be found at [github].

Otherwise, can you upload the client log (mana.log) and post the SHA hash of the revision you are compiling from (git rev-parse HEAD)?


---Freeyorp
#139246 by o11c
Wed Nov 13, 2013 5:38 pm
The "too old" message is sent if the client does not send both the "update host" and "server order" bits.

Both of these have been sent for ages ...

"server order" was fixed in cd89ede064c63cb43da0fb4bfa16ff1599a96d32 aka v0.0.28.1-1829-gcd89ede which was *before* the last non-manasource release (TMW 0.0.29.1).

The relevant client code is in src/net/tmwa/loginhandler.cpp, about line 300

It's also theoretically possible to set this error manually, but I just checked the database and the only special errors are for temporary and permanent bans.
#139256 by vatarus
Thu Nov 14, 2013 12:21 am
Hi!

1. Of course, I took the source code of the server and the client from github repository as usual:
Server: https://github.com/mana/manaserv
Client: https://github.com/mana/mana
Attach mana.log
2. Client version is 0.6.1
3. I have a server that is compiled in August this year. This server is running now. Client compiled yesterday connected to the server without any problems.
The client receives an error from a new server that was compiled yesterday. When trying to log onto a server the client receives the error: "client version is too old."
It can be assumed that the problem occurs on the server (manaserv-account side). But what exactly is going on?

I also compiled the serevere for Windows. Exact same error occurs.
Attachments
(2.7 KiB) Downloaded 37 times
#139260 by Ablu
Thu Nov 14, 2013 6:28 am
Looks to me like you are connecting to a manaserv server. If you want to connect to a latest manaserv server please make sure to use our new Qt client. At the moment we only have a client of Source of Tales available. However that client will likely also work for your own server. So please use this client: https://github.com/tales/tales-client Compile instructions are at: https://github.com/tales/sourceoftales/ ... -of-client

Regards,
Ablu
#139287 by vatarus
Thu Nov 14, 2013 11:32 pm
Yes, the problem is solved. Thank you.

But now it is not clear how the folder structure of the client should look like.
After compiling I got tales.exe and many other things (see attached file).
How can now organize the structure of folders of the client?
Attachments
(146.56 KiB) Downloaded 31 times
(3.76 MiB) Downloaded 28 times
#139326 by Ablu
Sat Nov 16, 2013 7:46 pm
The person responsible for the daily builds wants to look into it somewhen. But he is short on time at the moment.

However we will of course publish windows binaries once we have a first release of that new client.

Glad to see that it works for you.

Regards,
Ablu

Who is online

Users browsing this forum: No registered users and 2 guests